#!/bin/ash
#
# Kiran Kamity, 02/18/2005
#
# set_debugmode.sh:
# script to enable root logins for ssh
# and to create /tmp/PermitPrivTest that the CLI checks to permit 'priv test'
#

# ReturnOnError():
# Exit with an error code on error.
#
ReturnOnError() {
    if ! [ $1 -eq 0 ] ; then
        exit 1;
    fi
}

# Set PermitRootLogin to yes
sed 's/\(^PermitRootLogin\)\(.*\)\(no\)/\1\2yes/' /etc/ssh/sshd_config > /etc/ssh/sshd_config.new;
ReturnOnError $?;

mv /etc/ssh/sshd_config.new /etc/ssh/sshd_config;
ReturnOnError $?;

/etc/rc.d/init.d/ssh restart;
ReturnOnError $?;

# Create /var/run/PermitPrivTest as root
echo "" > /var/run/PermitPrivTest;
ReturnOnError $?;
