#!/bin/sh


status=0
primary=0
backup=0
executing=0
raw=0

while [ $# -gt 0 ]
do
	case "$1" in
		-a)
			status=1
			primary=1
			backup=1;;
		-s)
			status=1;;
		-e)
			executing=1;;
		-p)
			primary=1;;
		-b)
			backup=1;;
		-r)
			raw=1;;
		-*)
			echo  usage: $0 [-a] [-e] [-p] [-b] [-s] [-r]
			echo
			echo 	-a	print all info
			echo	- e	print executing firmware version
			echo 	-p	print primary firmware version
			echo 	-b	print backup firmware version
			echo 	-s	print executing firmware version status
			echo 	-r	print raw information
			exit 0
	esac
	shift
done

primary_version=`grep RLM_package_version /etc/rlm_install/primary/Metadata | cut -d= -f2 | cut -d" " -f1`
backup_version=`grep RLM_package_version /etc/rlm_install/backup/Metadata | cut -d= -f2 | cut -d" " -f1`
cur_version=`grep RLM_package_version /install/Metadata | cut -d= -f2 | cut -d" " -f1`

if [ -e /var/run/backup_fw ]
then
	booted_primary=0
else
	booted_primary=1
fi


if [ $status -gt 0 ]
then
	if [ $raw -eq 0 ]
	then
		echo -n "Booted "
	fi
	if [ $booted_primary -gt 0 ]
	then
		echo -n primary
	else
		echo -n backup
	fi
	if [ $raw -eq 0 ]
	then
		echo -n " firmware version "
	fi
	echo $cur_version
fi

if [ $executing -gt 0 ]
then
	if [ $raw -eq 0 ]
	then
		echo -n "Booted firmware version "
	fi
	echo $cur_version
fi

if [ $primary -gt 0 ]
then
	if [ $raw -eq 0 ]
	then
		echo -n "Primary firmware version "
	fi
	echo $primary_version
fi

if [ $backup -gt 0 ]
then
	if [ $raw -eq 0 ]
	then
		echo -n "Backup firmware version "
	fi
	echo $backup_version
fi
